# -*- coding: utf-8 -*-
from setuphelpers import *
import requests,BeautifulSoup,re

uninstallkey = []

def install():
    print('Installing Sysinternals Suite')
    mkdirs(makepath(programfiles,'Sysinternals'))
    run('"%s" e -y -o"%s" SysinternalsSuite.zip' % (makepath(programfiles,'7-Zip','7z.exe'),makepath(programfiles,'Sysinternals')))

def uninstall():
    print('Removing Sysinternals')
    remove_tree(makepath(programfiles,'Sysinternals'))

def update_package():
    print('Updating Sysinternals Suite Package')
    page = requests.get('https://docs.microsoft.com/en-us/sysinternals/downloads/sysinternals-suite', headers={'User-Agent':'Mozilla/5.0 (Windows NT 6.1; Win64; x64)'}, verify=True).text
    bs = BeautifulSoup.BeautifulSoup(page)
    version = ''.join(re.search('(\d{4})\-(\d{2})\-(\d{2})',bs.find('meta', attrs={'name':'updated_at'})['content']).group(1,2,3))
    print(version)

    pe = PackageEntry();
    control = pe.load_control_from_wapt('.')

    if Version(version) > Version(control['version'].split('-',1)[0]):
        wget('https://download.sysinternals.com/files/SysinternalsSuite.zip', 'SysinternalsSuite.zip')
        print('Updating control file with new version %s' % version)
        pe.version = version + '-0'
        pe.save_control_to_wapt('.')

if __name__ == '__main__':
    update_package()
